﻿<%@ Page Language="CS" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<%--<meta http-equiv="X-UA-Compatible" content="IE=Edge" />--%>
	<title></title>
	<telerik:RadCodeBlock runat="server">
		<style type="text/css">
			.rgFilterRow > td > * {
				float: right;
			}

			.rgFilterRow > td > label  {
				padding: 10px 0;
			}
		</style>

		<script type="text/javascript">
			function pageLoad() {
			}
		</script>
	</telerik:RadCodeBlock>
</head>

<body>
	<form id="form1" runat="server">
		<telerik:RadScriptManager runat="server">
		</telerik:RadScriptManager>

		<telerik:RadSkinManager ID="RadSkinManager1" runat="server"></telerik:RadSkinManager>

		<telerik:RadGrid ID="RadGrid1" runat="server" AutoGenerateColumns="false" OnNeedDataSource="RadGrid_NeedDataSource"
			Width="1200px"
			AllowSorting="True" PageSize="8" AllowPaging="True">
			<HeaderStyle Width="100px" />
			<MasterTableView AllowFilteringByColumn="True" TableLayout="Fixed" Dir="RTL">
				<Columns>
					<telerik:GridBoundColumn DataField="Custom1" HeaderText="Column 1">
						<HeaderStyle Width="300px" />
						<FilterTemplate>
							<asp:Label runat="server" AssociatedControlID="FromOrderDatePicker" Text="From"></asp:Label>
							<telerik:RadDatePicker ID="FromOrderDatePicker" runat="server" Width="140px" ClientEvents-OnDateSelected="FromDateSelected" Dir
								MinDate="07-04-1996" MaxDate="05-06-1998" SelectedDate="07-04-1996" />

							<asp:Label runat="server" AssociatedControlID="ToOrderDatePicker" Text="To"></asp:Label>

							<telerik:RadDatePicker ID="ToOrderDatePicker" runat="server" Width="140px" ClientEvents-OnDateSelected="ToDateSelected"
								MinDate="07-04-1996" MaxDate="05-06-1998" SelectedDate="05-06-1998" />
						</FilterTemplate>

					</telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="Custom2" HeaderText="Column 2"></telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="Custom3" HeaderText="Column 3"></telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="Custom4" HeaderText="Column 4"></telerik:GridBoundColumn>
					<telerik:GridBoundColumn DataField="Custom5" HeaderText="Column 5"></telerik:GridBoundColumn>
				</Columns>
			</MasterTableView>
			<ClientSettings>
				<Scrolling AllowScroll="true" SaveScrollPosition="true" UseStaticHeaders="true" ScrollHeight="" />
			</ClientSettings>
		</telerik:RadGrid>
	</form>
</body>
</html>
